#include<bits/stdc++.h>
using namespace std;
int arr[100000];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,k=2,br=0,z;

    cin>>n;
    for(int i=0; i<n; i++)
    {
        arr[i]=i+1;
    }
    while(br!=n-2)
    {
        br=0;
        for(int i=1*(k-1); i<n; i+=k)
        {
            arr[i]=0;
        }
        k++;
        for(int i=0; i<n; i+=1)
        {
            //cout<<arr[i]<<" ";
            if(arr[i]==0) br++;

        }
//cout<<endl;

    }
    for(int i=1; i<n; i+=1)
    {

        if(arr[i]!=0)
        {
            cout<<arr[i];
            break;
        }

    }

    return 0;
}
